#ifndef __TESTSIGNAL_MAIN_H__
#define __TESTSIGNAL_MAIN_H__

#include <QCoreApplication>
#include <QTimer>
#include <QQueue>

class CRS : public QObject
{
    Q_OBJECT

public:
    CRS(unsigned sample_id);
    unsigned m_Id;

signals:
    void sampleCompleted();
};


class CMyApplication : public QCoreApplication
{
    Q_OBJECT

public:
    CMyApplication(int& argc, char** argv);
    
    unsigned m_SampleCounter;
    QTimer m_Timer;
    QQueue<CRS*> m_CRSQueue;

public slots:
    void generate_crs_and_emit();
    void onSampleCompleted();
};



#endif //__TESTSIGNAL_MAIN_H__
